{
    "sourceFile": "adhan-webapp/start_all.py",
    "activeCommit": 0,
    "commits": [
        {
            "activePatchIndex": 0,
            "patches": [
                {
                    "date": 1748199344007,
                    "content": "Index: \n===================================================================\n--- \n+++ \n"
                }
            ],
            "date": 1748199344007,
            "name": "Commit-0",
            "content": "import subprocess\nimport sys\nimport time\n\n# Start Flask-app\nflask_proc = subprocess.Popen([sys.executable, 'app.py'])\n\n# Start adhan_cron.py elke minuut in een loop\ntry:\n    while True:\n        cron_proc = subprocess.Popen([sys.executable, 'adhan_cron.py'])\n        cron_proc.wait()\n        time.sleep(60)\nexcept KeyboardInterrupt:\n    flask_proc.terminate()\n    sys.exit(0) "
        }
    ]
}